## python-oslo.log 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
Babel>=1.3
six>=1.9.0
iso8601>=0.1.9
oslo.config>=1.9.0  # Apache-2.0
oslo.context>=0.2.0                     # Apache-2.0
oslo.i18n>=1.3.0  # Apache-2.0
oslo.utils>=1.2.0                       # Apache-2.0
oslo.serialization>=1.2.0               # Apache-2.0

=== debian/changelog ===
python-oslo.log (1.0.0-0ubuntu1~cloud0) trusty-kilo; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 31 Mar 2015 06:59:18 +0000

python-oslo.log (1.0.0-0ubuntu1) vivid; urgency=medium

  [ Thomas Goirand ]
  * Initial release. (Closes: #776109)

  [ James Page ]
  * Initial release for Ubuntu Vivid to support OpenStack Kilo-3
    (LP: #1434526).
  * Upload packaging from Debian VCS, transitioning to oslo-* naming
    scheme for Ubuntu Vivid.

 -- James Page <james.page@ubuntu.com>  Mon, 23 Mar 2015 13:43:36 +0000

=== debian/control ===
Source: python-oslo.log
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-babel (>= 1.3),
                     python-fixtures (>= 0.3.14),
                     python-iso8601 (>= 0.1.9),
                     python-mock (>= 1.0),
                     python-oslo-config (>= 1:1.9.0),
                     python-oslo-context (>= 0.2.0),
                     python-oslo-i18n (>= 1.0.0),
                     python-oslo-serialization (>= 1.2.0),
                     python-oslo-utils (>= 1.2.0),
                     python-oslosphinx (>= 2.2.0),
                     python-oslotest (>= 1.2.0),
                     python-pbr (>= 0.6),
                     python-six (>= 1.9.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.36),
                     python3-babel (>= 1.3),
                     python3-iso8601 (>= 0.1.9),
                     python3-mock (>= 1.0),
                     python3-oslo-config (>= 1:1.9.0),
                     python3-oslo-context (>= 0.2.0),
                     python3-oslo-i18n (>= 1.3.0),
                     python3-oslo-serialization (>= 1.0.0),
                     python3-oslo-utils (>= 1.2.0),
                     python3-oslotest (>= 1.2.0),
                     python3-pbr (>= 0.6),
                     python3-six (>= 1.9.0),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 0.9.36),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.log.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.log.git
Homepage: https://github.com/openstack/oslo.log.git

Package: python-oslo-log
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Provides: python-oslo-log
Depends: python-babel (>= 1.3),
         python-iso8601 (>= 0.1.9),
         python-oslo-config (>= 1:1.9.0),
         python-oslo-context (>= 0.2.0),
         python-oslo-i18n (>= 1.3.0),
         python-oslo-serialization (>= 1.2.0),
         python-oslo-utils (>= 1.2.0),
         python-pbr (>= 0.6),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-oslo-log-doc
Description: OpenStack logging configuration library - Python 2.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 2.x module.

Package: python3-oslo-log
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Provides: python3-oslo-log
Depends: python3-babel (>= 1.3),
         python3-iso8601 (>= 0.1.9),
         python3-oslo-config (>= 1:1.9.0),
         python3-oslo-context (>= 0.2.0),
         python3-oslo-i18n (>= 1.3.0),
         python3-oslo-serialization (>= 1.0.0),
         python3-oslo-utils (>= 1.2.0),
         python3-pbr (>= 0.6),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-oslo-log-doc
Description: OpenStack logging configuration library - Python 3.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 3.x module.

Package: python-oslo-log-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack logging configuration library - doc
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the documentation.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/oslo.log oslo.log-(.*).tar.gz

## python-oslo.log 1.11.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.6
Babel>=1.3
six>=1.9.0
iso8601>=0.1.9
oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
debtcollector>=0.3.0 # Apache-2.0

=== debian/changelog ===
python-oslo.log (1.11.0-1ubuntu0) wily; urgency=medium

  * Fix unintended assignment of "syslog" (LP: #1499620)
    - d/p/fix-unintended-assignment-of-syslog.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Tue, 05 Jan 2016 10:30:53 -0600

python-oslo.log (1.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 17:50:02 +0200

python-oslo.log (1.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Align (build)-depends with upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Sep 2015 08:48:41 +0000

python-oslo.log (1.7.0-1) experimental; urgency=medium

  [ James Page ]
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jul 2015 23:29:35 +0000

python-oslo.log (1.4.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release. 
  * Update watch file to use Debian pypi redirector.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jun 2015 17:31:11 +0100

python-oslo.log (1.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements with upstream.
  * Re-align with Ubuntu:
    - d/control: Add transitional packages for *oslo-log.
    - d/control: Add Breaks/Replaces to support migration to oslo.log
      package names.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Jun 2015 08:47:27 +0100

python-oslo.log (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #776109)

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2015 14:58:25 +0100

=== debian/control ===
Source: python-oslo.log
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-debtcollector (>= 0.3.0),
                     python-funcsigs,
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-iso8601,
                     python-mock (>= 1.3),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-babel,
                     python3-debtcollector (>= 0.3.0),
                     python3-fixtures (>= 1.3.1),
                     python3-funcsigs,
                     python3-iso8601,
                     python3-mock (>= 1.3),
                     python3-oslo.config (>= 1:2.3.0),
                     python3-oslo.context (>= 0.2.0),
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslo.serialization (>= 1.4.0),
                     python3-oslo.utils (>= 2.0.0),
                     python3-oslotest (>= 1.10.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.log.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.log.git
Homepage: https://github.com/openstack/oslo.log.git

Package: python-oslo.log
Architecture: all
Provides: python-oslo-log,
Breaks: python-oslo-log (<< 1.2.0-1~),
Replaces: python-oslo-log (<< 1.2.0-1~),
Depends: python-babel,
         python-debtcollector (>= 0.3.0),
         python-iso8601,
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-oslo.log-doc,
Description: OpenStack logging configuration library - Python 2.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 2.x module.

Package: python3-oslo.log
Architecture: all
Provides: python3-oslo-log,
Breaks: python3-oslo-log (<< 1.2.0-1~),
Replaces: python3-oslo-log (<< 1.2.0-1~),
Depends: python3-babel,
         python3-debtcollector (>= 0.3.0),
         python3-iso8601,
         python3-oslo.config (>= 1:2.3.0),
         python3-oslo.context (>= 0.2.0),
         python3-oslo.i18n (>= 1.5.0),
         python3-oslo.serialization (>= 1.4.0),
         python3-oslo.utils (>= 2.0.0),
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-oslo.log-doc,
Description: OpenStack logging configuration library - Python 3.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 3.x module.

Package: python-oslo.log-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack logging configuration library - doc
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the documentation.

Package: python-oslo-log
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.log,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-log
 This transitional package to python-oslo.log is safe to remove.

Package: python-oslo-log-doc
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.log-doc,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-log-doc
 This transitional package to python-oslo.log-doc is safe to remove.

Package: python3-oslo-log
Section: oldlibs
Priority: extra
Architecture: all
Depends: python3-oslo.log,
         ${misc:Depends},
Description: transitional dummy package for python3-oslo-log
 This transitional package to python3-oslo.log is safe to remove.

## python-oslo.log 3.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD
six>=1.9.0 # MIT
oslo.config>=3.4.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
pyinotify>=0.9.6;sys_platform!='win32' and sys_platform!='darwin' and sys_platform!='sunos5' # MIT
python-dateutil>=2.4.2 # BSD

=== debian/changelog ===
python-oslo.log (3.2.0-2~cloud0) trusty-mitaka; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 05 Apr 2016 21:22:03 +0000

python-oslo.log (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 08:26:51 +0000

python-oslo.log (3.2.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * d/p/allow-pyinotify-0.9.5.patch: Rebasing.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * d/control: Align depends with upstream.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2016 12:37:10 +0000

python-oslo.log (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright.
  * Removed install-missing-files.patch.
  * Rebased allow-pyinotify-0.9.5.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 05:58:54 +0000

python-oslo.log (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add patch to allow pyinotify 0.9.5.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 02:34:22 +0000

python-oslo.log (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 10:55:20 +0100

python-oslo.log (1.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 19:41:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-oslo.log
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -14,45 +13,48 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-babel,
+Build-Depends-Indep: bandit,
+                     python-babel,
                      python-coverage,
-                     python-debtcollector (>= 0.3.0),
+                     python-dateutil (>= 2.4.2),
+                     python-debtcollector (>= 1.2.0),
                      python-funcsigs,
                      python-fixtures (>= 1.3.1),
                      python-hacking,
-                     python-iso8601,
                      python-mock (>= 1.3),
-                     python-oslo.config (>= 1:2.3.0),
+                     python-oslo.config (>= 1:3.4.0),
                      python-oslo.context (>= 0.2.0),
-                     python-oslo.i18n (>= 1.5.0),
-                     python-oslo.serialization (>= 1.4.0),
-                     python-oslo.utils (>= 2.0.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.serialization (>= 1.10.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
+                     python-pyinotify (>= 0.9.5),
                      python-six (>= 1.9.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python3-babel,
-                     python3-debtcollector (>= 0.3.0),
+                     python3-dateutil (>= 2.4.2),
+                     python3-debtcollector (>= 1.2.0),
                      python3-fixtures (>= 1.3.1),
                      python3-funcsigs,
-                     python3-iso8601,
                      python3-mock (>= 1.3),
-                     python3-oslo.config (>= 1:2.3.0),
+                     python3-oslo.config (>= 1:3.4.0),
                      python3-oslo.context (>= 0.2.0),
-                     python3-oslo.i18n (>= 1.5.0),
-                     python3-oslo.serialization (>= 1.4.0),
-                     python3-oslo.utils (>= 2.0.0),
+                     python3-oslo.i18n (>= 2.1.0),
+                     python3-oslo.serialization (>= 1.10.0),
+                     python3-oslo.utils (>= 3.5.0),
                      python3-oslotest (>= 1.10.0),
+                     python3-pyinotify (>= 0.9.5),
                      python3-six (>= 1.9.0),
                      python3-subunit,
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.log.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.log.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.log.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.log.git
 Homepage: https://github.com/openstack/oslo.log.git
 
 Package: python-oslo.log
@@ -61,14 +63,15 @@
 Breaks: python-oslo-log (<< 1.2.0-1~),
 Replaces: python-oslo-log (<< 1.2.0-1~),
 Depends: python-babel,
-         python-debtcollector (>= 0.3.0),
-         python-iso8601,
-         python-oslo.config (>= 1:2.3.0),
+         python-dateutil (>= 2.4.2),
+         python-debtcollector (>= 1.2.0),
+         python-oslo.config (>= 1:3.4.0),
          python-oslo.context (>= 0.2.0),
-         python-oslo.i18n (>= 1.5.0),
-         python-oslo.serialization (>= 1.4.0),
-         python-oslo.utils (>= 2.0.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.serialization (>= 1.10.0),
+         python-oslo.utils (>= 3.5.0),
          python-pbr (>= 1.8),
+         python-pyinotify (>= 0.9.5),
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
@@ -86,14 +89,15 @@
 Breaks: python3-oslo-log (<< 1.2.0-1~),
 Replaces: python3-oslo-log (<< 1.2.0-1~),
 Depends: python3-babel,
-         python3-debtcollector (>= 0.3.0),
-         python3-iso8601,
-         python3-oslo.config (>= 1:2.3.0),
+         python3-dateutil (>= 2.4.2),
+         python3-debtcollector (>= 1.2.0),
+         python3-oslo.config (>= 1:3.4.0),
          python3-oslo.context (>= 0.2.0),
-         python3-oslo.i18n (>= 1.5.0),
-         python3-oslo.serialization (>= 1.4.0),
-         python3-oslo.utils (>= 2.0.0),
+         python3-oslo.i18n (>= 2.1.0),
+         python3-oslo.serialization (>= 1.10.0),
+         python3-oslo.utils (>= 3.5.0),
          python3-pbr (>= 1.8),
+         python3-pyinotify (>= 0.9.5),
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends},

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/oslo.log/oslo.log-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-oslo.log 3.3.0

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 pbr>=1.6 # Apache-2.0
 Babel>=1.3 # BSD
 six>=1.9.0 # MIT
-oslo.config>=3.4.0 # Apache-2.0
+oslo.config>=3.7.0 # Apache-2.0
 oslo.context>=0.2.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.utils>=3.5.0 # Apache-2.0

=== debian/changelog ===
python-oslo.log (3.3.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2016 09:01:09 +0000

python-oslo.log (3.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed python{3,}-oslo.config (build-)depends version.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Jun 2016 11:27:26 +0200

=== debian/control ===
--- 
+++ 
@@ -22,13 +22,13 @@
                      python-fixtures (>= 1.3.1),
                      python-hacking,
                      python-mock (>= 1.3),
-                     python-oslo.config (>= 1:3.4.0),
+                     python-oslo.config (>= 1:3.7.0),
                      python-oslo.context (>= 0.2.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+#                     python-oslotest (>= 1.10.0),
                      python-pyinotify (>= 0.9.5),
                      python-six (>= 1.9.0),
                      python-testscenarios,
@@ -39,12 +39,12 @@
                      python3-fixtures (>= 1.3.1),
                      python3-funcsigs,
                      python3-mock (>= 1.3),
-                     python3-oslo.config (>= 1:3.4.0),
+                     python3-oslo.config (>= 1:3.7.0),
                      python3-oslo.context (>= 0.2.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.serialization (>= 1.10.0),
                      python3-oslo.utils (>= 3.5.0),
-                     python3-oslotest (>= 1.10.0),
+#                     python3-oslotest (>= 1.10.0),
                      python3-pyinotify (>= 0.9.5),
                      python3-six (>= 1.9.0),
                      python3-subunit,
@@ -52,7 +52,7 @@
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.log.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.log.git
 Homepage: https://github.com/openstack/oslo.log.git
@@ -65,7 +65,7 @@
 Depends: python-babel,
          python-dateutil (>= 2.4.2),
          python-debtcollector (>= 1.2.0),
-         python-oslo.config (>= 1:3.4.0),
+         python-oslo.config (>= 1:3.7.0),
          python-oslo.context (>= 0.2.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.serialization (>= 1.10.0),
@@ -91,7 +91,7 @@
 Depends: python3-babel,
          python3-dateutil (>= 2.4.2),
          python3-debtcollector (>= 1.2.0),
-         python3-oslo.config (>= 1:3.4.0),
+         python3-oslo.config (>= 1:3.7.0),
          python3-oslo.context (>= 0.2.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.serialization (>= 1.10.0),

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/openstack/oslo.log.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.log; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.log; \
	done
	rm -rf $(CURDIR)/debian/python*-oslo.log/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	echo "===> Running tests"
#	set -ex ; for i in 2.7 $(PYTHON3S) ; do \
#		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
#		rm -rf .testrepository ; \
#		testr-python$$PYMAJOR init ; \
#		TEMP_REZ=`mktemp -t` ; \
#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
#		rm -f $$TEMP_REZ ; \
#		testr-python$$PYMAJOR slowest ; \
#	done
#endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-oslo.log-doc/usr/share/doc/python-oslo.log-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.log 3.11.0

=== requirements.txt ===
--- 
+++ 
@@ -3,12 +3,11 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=1.6 # Apache-2.0
-Babel>=1.3 # BSD
 six>=1.9.0 # MIT
-oslo.config>=3.7.0 # Apache-2.0
-oslo.context>=0.2.0 # Apache-2.0
+oslo.config>=3.10.0 # Apache-2.0
+oslo.context>=2.4.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
-oslo.utils>=3.5.0 # Apache-2.0
+oslo.utils>=3.11.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0
 pyinotify>=0.9.6;sys_platform!='win32' and sys_platform!='darwin' and sys_platform!='sunos5' # MIT

=== debian/changelog ===
python-oslo.log (3.11.0-2+2~bpo8+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Fixed upstream VCS URL to use HTTPS.

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:35:02 +0000

python-oslo.log (3.11.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/p/allow-pyinotify-0.9.5.patch: Rebased.

  [ Thomas Goirand ]
  * Drop python-oslo-* transition packages not needed since Xenial is out.
  * Switch to pkgos-dh_auto_{test,install}.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 15:06:26 +0000

python-oslo.log (3.8.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update gbp branch config for Newton.
  * d/control: Align depends with upstream.
  * d/rules: Set PYTHONPATH to current dir for sphinx-build.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> to Uploaders.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 14:51:54 +0000

=== debian/control ===
Source: python-oslo.log
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: bandit,
                     python-coverage,
                     python-dateutil (>= 2.4.2),
                     python-debtcollector (>= 1.2.0),
                     python-funcsigs,
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-mock (>= 1.3),
                     python-oslo.config (>= 1:3.10.0),
                     python-oslo.context (>= 2.4.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.11.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-pyinotify (>= 0.9.5),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-dateutil (>= 2.4.2),
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 1.3.1),
                     python3-funcsigs,
                     python3-mock (>= 1.3),
                     python3-oslo.config (>= 1:3.10.0),
                     python3-oslo.context (>= 2.4.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.11.0),
                     python3-oslotest (>= 1.10.0),
                     python3-pyinotify (>= 0.9.5),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.log?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-oslo.log -b debian/newton
Homepage: https://github.com/openstack/oslo.log.git

Package: python-oslo.log
Architecture: all
Provides: python-oslo-log,
Breaks: python-oslo-log (<< 1.2.0-1~),
Replaces: python-oslo-log (<< 1.2.0-1~),
Depends: python-dateutil (>= 2.4.2),
         python-debtcollector (>= 1.2.0),
         python-oslo.config (>= 1:3.10.0),
         python-oslo.context (>= 2.4.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.11.0),
         python-pbr (>= 1.8),
         python-pyinotify (>= 0.9.5),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-oslo.log-doc,
Description: OpenStack logging configuration library - Python 2.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 2.x module.

Package: python3-oslo.log
Architecture: all
Provides: python3-oslo-log,
Breaks: python3-oslo-log (<< 1.2.0-1~),
Replaces: python3-oslo-log (<< 1.2.0-1~),
Depends: python3-dateutil (>= 2.4.2),
         python3-debtcollector (>= 1.2.0),
         python3-oslo.config (>= 1:3.10.0),
         python3-oslo.context (>= 2.4.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.11.0),
         python3-pbr (>= 1.8),
         python3-pyinotify (>= 0.9.5),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-oslo.log-doc,
Description: OpenStack logging configuration library - Python 3.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 3.x module.

Package: python-oslo.log-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack logging configuration library - doc
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the documentation.

## python-oslo.log 3.16.0

=== requirements.txt ===
--- 
+++ 
@@ -4,10 +4,10 @@
 
 pbr>=1.6 # Apache-2.0
 six>=1.9.0 # MIT
-oslo.config>=3.10.0 # Apache-2.0
-oslo.context>=2.4.0 # Apache-2.0
+oslo.config>=3.14.0 # Apache-2.0
+oslo.context>=2.6.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
-oslo.utils>=3.11.0 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 debtcollector>=1.2.0 # Apache-2.0
 pyinotify>=0.9.6;sys_platform!='win32' and sys_platform!='darwin' and sys_platform!='sunos5' # MIT

=== debian/changelog ===
python-oslo.log (3.16.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:12:53 +0200

python-oslo.log (3.16.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Fixed upstream VCS URL to use HTTPS.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/p/allow-pyinotify-0.9.5.patch: Dropped. No longer needed.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.
  * Modified .gitreview to point at Gerrit.
  * Apply upstream patch to fix non-deterministic unit tests:
    Fix_races_in_unit_tests.patch

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Sep 2016 23:55:18 +0200

=== debian/control ===
--- 
+++ 
@@ -23,13 +23,13 @@
                      python-fixtures (>= 1.3.1),
                      python-hacking,
                      python-mock (>= 1.3),
-                     python-oslo.config (>= 1:3.10.0),
-                     python-oslo.context (>= 2.4.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.context (>= 2.6.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.11.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-pyinotify (>= 0.9.5),
                      python-six (>= 1.9.0),
                      python-testscenarios,
@@ -39,12 +39,12 @@
                      python3-fixtures (>= 1.3.1),
                      python3-funcsigs,
                      python3-mock (>= 1.3),
-                     python3-oslo.config (>= 1:3.10.0),
-                     python3-oslo.context (>= 2.4.0),
+                     python3-oslo.config (>= 1:3.14.0),
+                     python3-oslo.context (>= 2.6.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.11.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-pyinotify (>= 0.9.5),
                      python3-six (>= 1.9.0),
                      python3-subunit,
@@ -53,8 +53,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.log?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-oslo.log -b debian/newton
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.log?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-oslo.log -b debian/newton
 Homepage: https://github.com/openstack/oslo.log.git
 
 Package: python-oslo.log
@@ -64,11 +64,11 @@
 Replaces: python-oslo-log (<< 1.2.0-1~),
 Depends: python-dateutil (>= 2.4.2),
          python-debtcollector (>= 1.2.0),
-         python-oslo.config (>= 1:3.10.0),
-         python-oslo.context (>= 2.4.0),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.context (>= 2.6.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.11.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          python-pyinotify (>= 0.9.5),
          python-six (>= 1.9.0),
@@ -89,11 +89,11 @@
 Replaces: python3-oslo-log (<< 1.2.0-1~),
 Depends: python3-dateutil (>= 2.4.2),
          python3-debtcollector (>= 1.2.0),
-         python3-oslo.config (>= 1:3.10.0),
-         python3-oslo.context (>= 2.4.0),
+         python3-oslo.config (>= 1:3.14.0),
+         python3-oslo.context (>= 2.6.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.11.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.8),
          python3-pyinotify (>= 0.9.5),
          python3-six (>= 1.9.0),

## python-oslo.log 3.20.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
six>=1.9.0 # MIT
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
pyinotify>=0.9.6;sys_platform!='win32' and sys_platform!='darwin' and sys_platform!='sunos5' # MIT
python-dateutil>=2.4.2 # BSD
monotonic>=0.6 # Apache-2.0

=== debian/changelog ===
python-oslo.log (3.20.1-2) unstable; urgency=medium

  * Add added-cmdline-info-fluentformatter.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 02 Apr 2019 11:55:21 +0200

python-oslo.log (3.20.1-1) unstable; urgency=medium

  * New upstream version
  * Delete patch Fix_races_in_unit_tests.patch
  * d/rules: Disable 3 tests

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 01 Apr 2019 16:49:50 +0200

=== debian/control ===
Source: python-oslo.log
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 1.8),
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-pbr (>= 1.8),
 python3-setuptools,
Build-Depends-Indep:
 bandit,
 python-coverage,
 python-dateutil (>= 2.4.2),
 python-debtcollector (>= 1.10.0),
 python-fixtures (>= 1.3.1),
 python-funcsigs,
 python-hacking,
 python-mock (>= 1.3),
 python-monotonic,
 python-oslo.config (>= 1:3.14.0),
 python-oslo.context (>= 2.9.0),
 python-oslo.i18n (>= 2.1.0),
 python-oslo.serialization (>= 1.10.0),
 python-oslo.utils (>= 3.18.0),
 python-oslosphinx (>= 2.5.0),
 python-oslotest (>= 1:1.10.0),
 python-pyinotify (>= 0.9.6),
 python-six (>= 1.9.0),
 python-testscenarios,
 python-testtools (>= 1.4.0),
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.10.0),
 python3-fixtures (>= 1.3.1),
 python3-funcsigs,
 python3-mock (>= 1.3),
 python3-monotonic,
 python3-oslo.config (>= 1:3.14.0),
 python3-oslo.context (>= 2.9.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.serialization (>= 1.10.0),
 python3-oslo.utils (>= 3.18.0),
 python3-oslotest (>= 1:1.10.0),
 python3-pyinotify (>= 0.9.6),
 python3-six (>= 1.9.0),
 python3-subunit,
 python3-testscenarios,
 python3-testtools (>= 1.4.0),
 subunit,
 testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.log?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-oslo.log -b debian/newton
Homepage: https://github.com/openstack/oslo.log.git

Package: python-oslo.log
Architecture: all
Provides:
 python-oslo-log,
Breaks:
 python-oslo-log (<< 1.2.0-1~),
Replaces:
 python-oslo-log (<< 1.2.0-1~),
Depends:
 python-dateutil (>= 2.4.2),
 python-debtcollector (>= 1.10.0),
 python-monotonic,
 python-oslo.config (>= 1:3.14.0),
 python-oslo.context (>= 2.9.0),
 python-oslo.i18n (>= 2.1.0),
 python-oslo.serialization (>= 1.10.0),
 python-oslo.utils (>= 3.18.0),
 python-pbr (>= 1.8),
 python-pyinotify (>= 0.9.6),
 python-six (>= 1.9.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-oslo.log-doc,
Description: OpenStack logging configuration library - Python 2.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 2.x module.

Package: python-oslo.log-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack logging configuration library - doc
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the documentation.

Package: python3-oslo.log
Architecture: all
Provides:
 python3-oslo-log,
Breaks:
 python3-oslo-log (<< 1.2.0-1~),
Replaces:
 python3-oslo-log (<< 1.2.0-1~),
Depends:
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.10.0),
 python3-monotonic,
 python3-oslo.config (>= 1:3.14.0),
 python3-oslo.context (>= 2.9.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.serialization (>= 1.10.0),
 python3-oslo.utils (>= 3.18.0),
 python3-pbr (>= 1.8),
 python3-pyinotify (>= 0.9.6),
 python3-six (>= 1.9.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.log-doc,
Description: OpenStack logging configuration library - Python 3.x
 OpenStack logging configuration library provides standardized configuration
 for all openstack projects. It also provides custom formatters, handlers and
 support for context specific logging (like resource id's etc).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/oslo.log.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'oslo_log\.tests\.unit\.(fixture)?(?!.*test_log\.LogConfigTestCase\.test_log_config_append_unreadable|.*test_log\.JSONFormatterTestCase\.test_json$$|.*test_log\.FluentFormatterTestCase\.test_fluent)'
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	PYTHONPATH=$(CURDIR) sphinx-build -b html doc/source debian/python-oslo.log-doc/usr/share/doc/python-oslo.log-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:
